import React from "react";
import { dequeue } from "./queue.js";
import { SpeechStatus, SpeechUtterancesQueue, useSpeechProps } from "./types.js";
export declare function useQueue(): {
    queue: SpeechUtterancesQueue;
    dequeue: typeof dequeue;
    clearQueue: () => void;
};
export declare function useSpeech({ text, pitch, rate, volume, lang, voiceURI, autoPlay, preserveUtteranceQueue, highlightText, highlightProps, maxChunkSize, onError, onStart, onResume, onPause, onStop, onBoundary, onQueueChange, }: useSpeechProps): {
    Text: () => React.ReactNode;
    speechStatus: SpeechStatus;
    isInQueue: boolean;
    start: () => any;
    pause: () => void;
    stop: () => void;
};
export declare function useVoices(): {
    languages: string[];
    voices: SpeechSynthesisVoice[];
};
